#!/bin/sh
# duplicar_sistema.sh - Copia un sistema completo de Guadalinfo en otra
# particin para poder arrancar el sistema desde la misma.

# Estamos en X?
if [ ! $DISPLAY ]; then
  : ${DIALOG=dialog}
else
  : ${DIALOG=Xdialog}
fi

# Localizamos el directorio donde est el ejecutable y nos vamos a l
DIR_ORIGINAL=$PWD
TMP=`which $0`
DIR_EJECUCION=${TMP%duplicar_sistema.sh}

# Nos movemos al directorio de ejecucin (luego volvemos)
cd $DIR_EJECUCION

. backup.sh

busca_particion_destino "cliente"

prepara_dirs_copia

: ${DIALOG=dialog}

$DIALOG --title "Copia de seguridad" --clear \
        --msgbox "Se va a realizar una copia de seguridad:\n\n\
******** $PARTITION -> $DEST_PARTITION ******** \n\n\
Pulse Intro para continuar." 10 44 

$DIALOG --title "Copia de seguridad" --clear \
        --msgbox "************* ATENCIN!!! ************** \n\n\
Se va a borrar el contenido de $DEST_PARTITION. \n\n
Si desea continuar pulse Intro." 12 55

case $? in
  255)
    echo "Copia de seguridad abortada."
    exit 1;;
esac


crea_dir_montaje

(echo "XXX"

prepara_particion_destino

echo "XXX" )| $DIALOG --title "Copia de seguridad" --clear \
        --infobox "Preparando particin destino... \n\n
Por favor, espere..." 0 0 0

haz_copia "interactivo"

# Se le pasa el parmetro "servidor" para indicar que el cambio es
# para un equipo servidor 
cambia_fstab "servidor"

destruye_punto_montaje

# Se vuelve al directorio original
cd $DIR_ORIGINAL

$DIALOG --title "Copia de seguridad" --clear \
        --msgbox "La copia de seguridad ha terminado.\n
Pulse Intro para salir." 10 44

